Subject: Re: What is the null value for OBJECT IDENTIFIER?

From: [email-masked] (Dave Perkins)
Date: Fri, 1 Sep 1995 11:21:06 -0700

On the following...

> I have few based questions while working in IETF DLSw MIB WG.
> (1) How to get a number under experimental tree, e.g.,
>     1.3.6.1.3?
>     Is it still common practice to get an experimental OID
>     while developing IETF MIB?
Ask the WG chair/editor to consult with the assigned network management
area advisor.
 
> (2) We use InstancePointer (which has OBJECT IDENTIFIER
>     as syntax) in the MIB, and try to define a DEFVAL.
>     I thought 0.0 is the null value for OBJECT IDENTIFIER.
>     But, it seems smicng doesn't like it.
>     So, what is the null value for OBJECT IDENTIFIER?  Or,
>     something wrong with smicng?
On this try the following...

null OBJECT IDENTIFIER ::= { 0 0 }

foo OBJECT-TYPE
    SYNTAX     OBJECT IDENTIFIER
    MAX-ACCESS read-only
    STATUS     current
    DESCRIPTION "An example of DEFVAL"
    DEFVAL     { null }
    ::= { barEntry 34 }
 
See the section on DEFVALS in the latest version of the SMI for v2
in internet-drafts. Keith added some text that should help with this
and the next question. (Note: the rules for specifying OID values
changed between SNMPv1 and SNMPv2.)

> (3) A related question (although not a DLSw question)
>     Must OBJECT IDENTIFIER be administrative assigned?
>     e.g., can the value of an object which has syntax
>     OBJECT IDENTIFIER be like "210.122.30", instead of
>     "1.3.6. ..." that usually are administrative assigned?
On this...

The values of object identifiers have constraints on them.
The value of the first sub-identifier can be either 0, 1, or 2.
The value of the second sub-identifier must be between
0 and 39 inclusive if the value of the first sub-identifier
is 0 or 1 (otherwise the value may be between 0 and 2^32-81).
An OID value must have at least two subidentifiers.
The total number of sub-identifiers must be less than or
equal 128. The value of sub-identifiers other than the first
two can range between 0 and 2^32-1 inclusive.

Any of the SNMPv2 macros other than the TEXTUAL-CONVENTIONS
macro do registrations of administrative assignments of OID
values. An ASN.1 value assignment
(i.e., foo OBJECT IDENTIFIER ::= { 1 2 3 4 })
is NOT a registration of an administrative assignment.
(One difference between SMIC and SMICng is that SMIC treats
ASN.1 OID value assignments as registrations. SMICng by default
does not, but can treat value assignment as registration
with the proper command line switch.) 
 
> I am not monitoring this mailing list.  I would be very
> appreciate if you can send responses directly to me.
> Thanks.  Dave Chen
> 

Hope this helps, and please let all your colleages that I've
worked with there at IBM RTP know of my new contact values.
-----------------------------------------------------------------------
Dave Perkins                            PEER Networks, Inc.            
Voice: 1+408-556-0720                   1190 Saratoga Ave. Suite 130 
Fax:   1+408-556-0735                   San Jose, California 95129  
Email: [email-masked]                USA                            
-----------------------------------------------------------------------